play.utils

## Class Java.FieldWrapper

- java.lang.Object
- - play.utils.Java.FieldWrapper

Enclosing class:
  Java

    public static class Java.FieldWrapper
    extends java.lang.Object

Field accessor set and get value for a property, using the getter/setter when it exists or direct access otherwise. final, native or static properties are safely ignored

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getValue(java.lang.Object instance)`
`boolean` `isModifiable()`
`void` `setValue(java.lang.Object instance, java.lang.Object value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### isModifiable

    public boolean isModifiable()

#### setValue

    public void setValue(java.lang.Object instance,
                         java.lang.Object value)

#### getValue

    public java.lang.Object getValue(java.lang.Object instance)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`